Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.dbc
Class DesignByContractAspect

    java.lang.Object
      org.jboss.aspects.dbc.DesignByContractAspect

public class DesignByContractAspect
extends Object

TODO: -Once version of beanshell in cvs allows importObject() (2.0, currently in beta), make invariants use that, so don't have to use $tgt for class invariants -Add $old funtionality

Version:
  $Revision: 1.1.8.5 $
Author:
  Kabir Khan

Field Summary
`static boolean` | `verbose`

Constructor Summary
`DesignByContractAspect()`

Method Summary
`boolean` | `getVerbose()`
`Object` | `invoke(org.jboss.aop.joinpoint.ConstructorCalledByConstructorInvocation invocation)`
`Object` | `invoke(org.jboss.aop.joinpoint.ConstructorCalledByMethodInvocation invocation)`
`Object` | `invoke(org.jboss.aop.joinpoint.ConstructorInvocation invocation)`
`Object` | `invoke(org.jboss.aop.joinpoint.MethodCalledByConstructorInvocation invocation)`
`Object` | `invoke(org.jboss.aop.joinpoint.MethodCalledByMethodInvocation invocation)`
`Object` | `invoke(org.jboss.aop.joinpoint.MethodInvocation invocation)`
`void` | `setVerbose(boolean vbs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### verbose

    public static boolean verbose

Constructor Detail

### DesignByContractAspect

    public DesignByContractAspect()

Method Detail

### setVerbose

    public void setVerbose(boolean vbs)

### getVerbose

    public boolean getVerbose()

### invoke

    public Object invoke(org.jboss.aop.joinpoint.MethodInvocation invocation)
                  throws Throwable

  Throws:
    `Throwable`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.MethodCalledByMethodInvocation invocation)
                  throws Throwable

  Throws:
    `Throwable`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.MethodCalledByConstructorInvocation invocation)
                  throws Throwable

  Throws:
    `Throwable`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.ConstructorInvocation invocation)
                  throws Throwable

  Throws:
    `Throwable`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.ConstructorCalledByMethodInvocation invocation)
                  throws Throwable

  Throws:
    `Throwable`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.ConstructorCalledByConstructorInvocation invocation)
                  throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.